Skip to main content

Return codes

The code and description fields are included in responses from all payment and transaction endpoints, including Create Payment, Capture, Refund, Release, and Query Transaction. For example:
{
  "code": "BYRD200",
  "description": "Operation successfully completed",
  "transactionId": "c16ce479-319d-4e7b-a966-7735c34b2cc5",
  "amount": "10.00"
}
CodeDescriptionTransaction status
BYRD010Request accepted.N/A
BYRD200Operation successfully completed.Success
BYRD201Payment being processed. Waiting for shopper.Processing
BYRD203An error occurred while processing the payment. Please query the transaction to confirm its status.TemporaryFailed
BYRD205Operation rejected. This code is related to operation denial from the acquirer.Denied
BYRD206Operation blocked by velocity.Denied
BYRD207Pending redirect.Processing
BYRD208Payment canceled by the shopper.Canceled
BYRD230Payment already refunded.Denied
BYRD231The refund amount exceeds the remaining balance of the original payment.Denied
BYRD240Token is expired.Error
BYRD290An error occurred while pre-processing the transaction. Please review your request and try again.Error
BYRD291An error occurred while preparing the transaction for acquiring. Please review your request and try again.Error
BYRD292No payment methods available for this operation. Please contact Paybyrd support.Error
BYRD294Transaction could not be updated. Please review your request and try again.Error
BYRD299Operation could not be completed. Please review your request and try again.Error
BYRD401Resource access unauthorized.Error
BYRD403Resource access is forbidden.Error
BYRD900Invalid input.Error
BYRD901Resource not found.Error
BYRD999Operation failed. This code is related to unhandled errors.Error

Transaction statuses

The status field at the transaction level is returned by the Create Payment endpoint (POST /api/v2/payment) and the Query Transaction endpoint (GET /api/v2/transactions/{transactionId}):
{
  "code": "BYRD200",
  "status": "Success",
  "operationType": "Payment",
  "brand": "VISA",
  "transactionId": "8cb922ee-01cd-453d-90b9-b377e4f1c3cb",
  "amount": "5.00"
}
StatusDescription
CreatedThe transaction was created, but no payment method was selected.
ProcessingWaiting for additional steps.
TemporaryFailedAn error occurred during the operation and it is not possible to confirm whether the transaction was completed.
DeniedThe transaction was denied.
SuccessThe transaction was completed successfully.
CanceledThe transaction was canceled.
ErrorAn unexpected error occurred.

Order statuses

The order status field is returned by the Create Order endpoint (POST /api/v2/orders) and the Query Order endpoint (GET /api/v2/orders/{orderId}):
{
  "orderId": "e83aa1a1-152c-439e-af1e-fc4178520807",
  "status": "created",
  "code": "BYRD200",
  "description": "Operation successfully completed"
}
StatusDescription
createdThe order has no payments associated to it, or all payment attempts have failed.
pendingThe order has a payment in progress that has not yet completed.
paidThe order has a successful payment.
canceledThe order was canceled — by the shopper, by a system routine, or via the cancel order endpoint.
expiredThe order reached its expiration date without a completed payment.
refundedThe order’s payment was refunded.

Operation types

The operationType field is returned by the Query Transaction endpoint (GET /api/v2/transactions/{transactionId}):
{
  "operationType": "Payment",
  "status": "Success",
  "brand": "VISA",
  "transactionId": "8cb922ee-01cd-453d-90b9-b377e4f1c3cb",
  "amount": "5.00"
}
Operation typeDescription
PaymentRegular payment.
PreAuthPre-authorization.
CaptureCapture of a pre-authorized amount.
RefundRefund of a captured payment.
ChargebackChargeback.

Brands

The brand field is returned by the Create Payment endpoint (POST /api/v2/payment) and the Query Transaction endpoint (GET /api/v2/transactions/{transactionId}):
{
  "brand": "VISA",
  "operationType": "Payment",
  "status": "Success",
  "transactionId": "8cb922ee-01cd-453d-90b9-b377e4f1c3cb",
  "amount": "5.00"
}
Brand code
AMEX
DANKORT
DINERS
DISCOVER
ELO
FLOA1XD
FLOA3X
FLOA4X
IDEAL
JCB
MASTER
MBWAY
MULTICAIXA_REF
PAYPAL
SEPA
SIBS_MULTIBANCO
VISA
VPAY